

import * as React from "react";
import * as FlexboxGridHelpers$BsFlexboxgrid from "./FlexboxGridHelpers.bs.js";

function Col(Props) {
  var children = Props.children;
  var fluidOpt = Props.fluid;
  var firstOpt = Props.first;
  var lastOpt = Props.last;
  var xs = Props.xs;
  var sm = Props.sm;
  var md = Props.md;
  var lg = Props.lg;
  var xsOffset = Props.xsOffset;
  var smOffset = Props.smOffset;
  var mdOffset = Props.mdOffset;
  var lgOffset = Props.lgOffset;
  var classNameOpt = Props.className;
  var fluid = fluidOpt !== undefined ? fluidOpt : "none";
  var first = firstOpt !== undefined ? firstOpt : "none";
  var last = lastOpt !== undefined ? lastOpt : "none";
  var className = classNameOpt !== undefined ? classNameOpt : "";
  var totalOptions = FlexboxGridHelpers$BsFlexboxgrid.ignoreEmptyAndConcatenate([
        FlexboxGridHelpers$BsFlexboxgrid.column("xs", xs),
        FlexboxGridHelpers$BsFlexboxgrid.column("sm", sm),
        FlexboxGridHelpers$BsFlexboxgrid.column("md", md),
        FlexboxGridHelpers$BsFlexboxgrid.column("lg", lg),
        FlexboxGridHelpers$BsFlexboxgrid.offset("xs", xsOffset),
        FlexboxGridHelpers$BsFlexboxgrid.offset("sm", smOffset),
        FlexboxGridHelpers$BsFlexboxgrid.offset("md", mdOffset),
        FlexboxGridHelpers$BsFlexboxgrid.offset("lg", lgOffset),
        FlexboxGridHelpers$BsFlexboxgrid.breakpointedProp("col", fluid),
        FlexboxGridHelpers$BsFlexboxgrid.breakpointedProp("first", first),
        FlexboxGridHelpers$BsFlexboxgrid.breakpointedProp("last", last),
        className
      ]);
  return React.createElement("div", {
              className: totalOptions
            }, children);
}

var make = Col;

export {
  make ,
  
}
/* react Not a pure module */
